Package com.io7m.cardant.server.service.configuration.v1

# Class CAC1Configuration

java.lang.Object
com.io7m.cardant.server.service.configuration.v1.CAC1Configuration

All Implemented Interfaces:
  `com.io7m.blackthorne.core.BTElementHandlerType<Object,CAServerConfigurationFile>`

public final class CAC1Configuration extends Object implements com.io7m.blackthorne.core.BTElementHandlerType<Object,CAServerConfigurationFile>
The root configuration parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAC1Configuration(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  The root configuration parser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<com.io7m.blackthorne.core.BTQualifiedName,com.io7m.blackthorne.core.BTElementHandlerConstructorType<?,?>>`
  `onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, Object result)`
  `CAServerConfigurationFile`
  `onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.core.BTElementHandlerType

  `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### CAC1Configuration

    public CAC1Configuration(com.io7m.blackthorne.core.BTElementParsingContextType context)
    The root configuration parser.
    Parameters:
      `context` - The context

- ## Method Details

  - ### onChildHandlersRequested

    public Map<com.io7m.blackthorne.core.BTQualifiedName,com.io7m.blackthorne.core.BTElementHandlerConstructorType<?,?>> onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,CAServerConfigurationFile>`

  - ### onChildValueProduced

    public void onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, Object result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,CAServerConfigurationFile>`

  - ### onElementFinished

    public CAServerConfigurationFile onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,CAServerConfigurationFile>`